## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# StdBinInputStream Class Reference

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  BinInputStream ParentType
- typedef std::istream StreamType

## Public Member Functions

- StdBinInputStream (StreamType &theStream)
- virtual ~StdBinInputStream ()
- virtual unsigned int curPos () const
- virtual unsigned int readBytes (XMLByte *const toFill, const unsigned int maxToRead)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER BinInputStream StdBinInputStream::ParentType

typedef std::istream StdBinInputStream::StreamType

## Constructor & Destructor Documentation

StdBinInputStream::StdBinInputStream | ( | StreamType & | theStream | ) |

virtual StdBinInputStream::~StdBinInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual unsigned int StdBinInputStream::curPos | ( |  | ) | const`[virtual]`

virtual unsigned int StdBinInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const unsigned int | maxToRead
| ) | `[virtual]`

The documentation for this class was generated from the following file:

- StdBinInputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.